
// SPILibrary.cpp


#include <avr/io.h>
#include "SPILibrary.h"

// default constructor
SPILibrary::SPILibrary()
{
} //SPILibrary

// default destructor
SPILibrary::~SPILibrary()
{
} //~SPILibrary


//Datasheet S.193
// uint8_t SPILibrary::SPI_transfer(uint8_t cData) {
//     SPDR = cData;
//   //  asm volatile("nop");
//     while (!(SPSR & _BV(SPIF))) ; // wait
//     return SPDR;
// }
// 
// 
// void SPILibrary::SPI_init()
//{
		// auf high
// 		PORTB |= (1<<PB0);
// 		//SS als input
// 		DDRB &=~ (1<<PB0);
// 		
// 		//SCK Output
// 		DDRB |= (1<<PB1);
// 		//MOSI Output
// 		DDRE |= (1<<PE0);
// 	
// 		
// 		// speed
// 		SPCR |= (1<<SPE) | (1<<MSTR) ;
// 		SPCR &= ~((1<<SPR0)|(1<<SPR1));
// 		
// 		SPSR |= (1<<SPI2X);	


void SPILibrary::SPI_init()
{
		/* Set MISO output, all others input */
		//CS auf high
		PORTB |= (1<<PB0);
		//SS als output
		DDRB |= (1<<PB0);
		
		//SCK output
		DDRB |= (1<<PB1);
		//MOSI output
		DDRE |= (1<<PE0);
		//MISO input
		DDRE &=~ (1<<PE1);	
		// speed
		SPCR |= (1<<SPE) | (1<<MSTR);
		SPCR &= ~((1<<SPR0)|(1<<SPR1));	
		SPSR |= (1<<SPI2X);
		
		/* Enable SPI */
		//SPCR |= (1<<SPE);
}
uint8_t SPILibrary::SPI_transfer(uint8_t cData)
{
	/* Wait for reception complete */
	while(!(SPSR & (1<<SPIF)));
	/* Return data register */
	return SPDR;
}

SPILibrary SPI;