/*
* SPILibrary.h
*
* 
* 
*/

#ifndef __SPILIBRARY_H__
#define __SPILIBRARY_H__

#include <avr/io.h>

/** SPI-Library.
 *  Initialisiert die SPI-SChnitstelle und stellt eine Datenbertragungsmethode bereit.
 */
class SPILibrary
{

//functions
public:
	SPILibrary();
	~SPILibrary();
	
	uint8_t SPI_transfer(uint8_t cData);
	void SPI_init ();
	
private:
	

}; //SPILibrary

extern SPILibrary SPI;


 #endif //__SPILIBRARY_H__
